ACE_NETSVCS
1

# &applname;

ACE network services driver.

## SYNOPSIS

          &applname;
          OPTION

## DESCRIPTION

&applname; is a driver to start ACE network services. Currently, libnetsvcs provides: Naming Service, Time Service, Token Service, Server Logging Service, Client Logging Service, Logging Strategy Service.

## OPTIONS

`-f` svc.conf

  Specifies a svc.conf configuration file name other than the default one. Can be specified multiple times to use multiple files.

`-d`

  Turn on debugging mode.

`-n`

  Explicitly disables the use of static services. This flag overrides the @a ignore_static_svcs parameter value.

`-p` pathname

  Specifies a pathname which is used to store the process id.

`-s` signal

  Specifies a signal number other than SIGHUP to trigger reprocessing of the configuration file(s). Ignored for platforms that do not have POSIX signals, such as Windows.

`-y`

  Explicitly enables the use of static services. This flag overrides the @a ignore_static_svcs parameter value.

`-S` directive

  Specifies a service directive string. Enclose the string in quotes and escape any embedded quotes with a backslash. This option specifies service directives without the need for a configuration file.

`-b`

  Option to indicate that we should be a daemon. Note that when this option is used, the process will be daemonized before the service configuration file(s) are read. During daemonization, (on POSIX systems) the current directory will be changed to "/" so the caller should either fully specify the file names, or execute a @c chroot() to the appropriate directory. @sa ACE::daemonize().

`-k` point

  Specifies the rendezvous point to use for the ACE distributed logger.

## EXAMPLES

`&applname; -f /usr/share/ace-netsvcs/svc.conf`

  Starts ACE network services using example configuration.

`&applname; -S 'dynamic Name_Server Service_Object * netsvcs:_make_ACE_Name_Acceptor() ""-p 20006""'`

  Starts ACE Naming service using command line configuration.

## SEE ALSO

&seealso;

## AUTHOR

Douglas C. Schmidt<schmidt@cs.wustl.edu>